Subject: Re: Java GIT/Eclipse GIT version 0.1.1

From: Pavel Roskin <[email-masked]>
Date: Fri, 28 Jul 2006 22:10:12 -0400

On Fri, 2006-07-28 at 09:23 +0200, Peter Baumann wrote:
> >> *** glibc detected *** double free or corruption (!prev): 0x080933b0 ***
> >> /usr/bin/git-clone: line 29: 10712 Aborted                 git-http-fetch -v
> >> -a -w "$tname" "$name" "$1/"
> >
> > I'm not getting that.  I hope you are just using an obsolete version of git.
> 
> Not _that_ old, me thinks. I'm using the debian unstable version.

I tried to reproduce it but couldn't.  I tried valgrind (3.2.0 and
current) on two architectures, I tried _FORTIFY_SOURCE=2 to no avail -
it just won't crash or report anything suspicious.  It's the current
master branch of git.

So, it's up to you to debug it.

-- 
Regards,
Pavel Roskin